Subject: embedding ipv4 addresses in ipv6 address text representation

From: Marc Blanchet <[email-masked]>
Date: Mon, 03 Sep 2001 11:39:58 -0400

We do provide the ability to write IPv4 addresses in IPv6 addresses for 
ipv4-compatible and
ipv4-mapped. It would be very useful and more normalized to be able to use 
IPv4 addresses in IPv6
addresses for the transition mechanisms that embed IPv4 addresses, ex: 6to4.

Any objection?

Marc, waiting for fire...

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 04 Sep 2001 13:01:37 -0500

> addresses for the transition mechanisms that embed IPv4 addresses, ex: 6to4.

For a 6to4 prefix, I think it would be very confusing to use
dotted decimal, since we would see a full address starting
in hex, continuing in decimal, and reverting to hex at the end. 
In other words, 6to4 addresses derived from 9.254.253.252
should be written 2002:09fe:fdfc:...

My $0.02
  
  Brian

---

From: Pekka Savola <[email-masked]>
Date: Tue, 4 Sep 2001 21:23:31 +0300 (EEST)

> should be written 2002:09fe:fdfc:...

More of an issue of parsing, I think.. Whether it can be done reliably.

I usually can't calculate dec -> hex translation of arbitrary IPv4 address
in my head :-), and from user's point of view, being able to do like:

ping6 2002:113.114.115.117::1 would help some, especially if we try to get
away from using compatible addresses;  if so, this would be almost a
requirement.

I don't see source for big confusion as long as you assume that dotted
quad always replaces 32 bits of the address e.g. with zero-filling (same
if you now e.g. 'ping 10.10').

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords